import { TestRunnerConfig } from './TestRunnerConfig';
export declare class TestRunner {
    private config;
    private browsers;
    private browserNames;
    private testFiles;
    private favoriteBrowser?;
    private serverAddress;
    private terminal;
    private sessions;
    private reporter;
    private scheduler;
    private startTime;
    private updateTestProgressIntervalId?;
    private started;
    private stopped;
    private testRun;
    constructor(config: TestRunnerConfig, testFiles: string[]);
    start(): Promise<void>;
    private runTests;
    stop(): Promise<void>;
    kill(error?: any): Promise<void>;
    private onSessionStarted;
    private onRerunSessions;
    private onSessionFinished;
    private updateTestProgress;
}
