import { RuntimeConfig, FrameworkTestSessionResult } from './types';
import { TestResultError } from '../TestSessionResult';
export declare function captureConsoleOutput(): void;
export declare function logUncaughtErrors(): void;
export declare function getConfig(): Promise<RuntimeConfig & {
    debug: boolean;
}>;
export declare function error(error: TestResultError): Promise<void>;
export declare function sessionStarted(): Promise<void>;
export declare function sessionFinished(result: FrameworkTestSessionResult): Promise<void>;
