"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDebugPage = void 0;
const constants_1 = require("../../core/constants");
function createDebugPage(sessions) {
    return `<!DOCTYPE html>
<html>
  <head></head>
  <body>
    Choose a test file to debug:
    <ul>
     ${Array.from(sessions.all())
        .map((s) => `<li>
              <a href="/?${constants_1.PARAM_SESSION_ID}=${s.id}&wtr-debug=true" target="_blank" rel="noopener noreferrer">
              ${s.testFile}
              </a>
           </li>`)
        .join('\n    ')}
    </ul>
  </body>
</html>`;
}
exports.createDebugPage = createDebugPage;
//# sourceMappingURL=createDebugPage.js.map