import { Middleware } from 'koa';
import { FSWatcher } from 'chokidar';
export interface DependencyGraphMiddlewareArgs {
    onRequest404: (sessionId: string, url: string) => void;
    onRerunSessions: (sessionIds: string[]) => void;
    rootDir: string;
    fileWatcher: FSWatcher;
}
export declare function dependencyGraphMiddleware({ rootDir, fileWatcher, onRequest404, onRerunSessions, }: DependencyGraphMiddlewareArgs): Middleware;
